<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否
/* セクションID haumenu_define_section_id_04_utility() */
/* タブのスラグ haumenu_define_tab_slug_04_utility() */
/* $option_name 設定名 haumenu_define_option_name_04_utility() */
/* get_option GetOP04_utility() */

/***** 親設定の有効／無効に合わせて子設定の表示方法を変更する *****/
/* 関数名・設定名は画面ごとに変えること（関数重複を防ぐ） */
/* add_action('admin_notices', 'current_pagehook');を追加してページ名を取得し、$page_fooksuffixの値を変える */
/* 連動マップ（ID => セレクター）の項目を編集する */

function haup_child_setting_view_control_04_utility( $hook_suffix ) {
	//ページフックにより出力を判断
	$page_fooksuffix = 'ha-utilitiy_page_haumenu_page_utility';

	if ( $page_fooksuffix !== $hook_suffix ) {
		return;
	}

	//メインスクリプトのハンドル
	$handle = 'haup-child-setting-control-js';

	// メインスクリプトが登録されていなければ終了(スクリプトの読み込みはmain-menu.phpで記述)
	if ( ! wp_script_is( $handle, 'registered' ) ) {
		return;
	}

	//設定名
	$set_name = haumenu_define_option_name_04_utility();

	// 連動マップ（ID => セレクター）
	// 1つのIDに対して複数のCSSクラスを指定する（1つなら1行）
	$dependency_map = array(
		//$set_name . 'enable-set-revisions' => array(
			//'.set-revisions-num-wrapper', // リビジョン数
			//'.set-revisions-posttype-wrapper', // 指定する投稿タイプ
		//),

	);

	$inner_js = "";
	foreach ( $dependency_map as $id => $selectors ) {
		foreach ( (array) $selectors as $selector ) {
			// translators: %s stands for the CSS Class & ID.
			$inner_js .= sprintf(
				"haup_apply_dependency('%s', '%s');\n",
				esc_js( $id ),
				esc_js( $selector )
			);
		}
	}

	if ( $inner_js ) {
		$js_code = "if (window.haup_apply_dependency) {\n" . $inner_js . "}";
		// 第3引数を 'after' にすることで、本体JSの直後に出力
		wp_add_inline_script( $handle, $js_code, 'after' );
	}
}
add_action( 'admin_enqueue_scripts', 'haup_child_setting_view_control_04_utility', 20 );

/*** ウィジェットのタイトル① ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_dashboard_widget_title_01(){
//項目の追加
	add_settings_field(
		'dashboard-widget-title-01', // 設定名
		'Widget area 1 title', // 設定タイトル
		'haumenu_dashboard_widget_title_01', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_04_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_dashboard_widget_title_01' );

function haumenu_dashboard_widget_title_01() {
	$set_name = haumenu_define_option_name_04_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'dashboard-widget-title-01'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Enter a title for Widget Area 1 (If not entered, it will be displayed as "HAUP Dashboard Widget 1")','hima-art-utility'); ?></p>
</label>
<?php
}

/*** ウィジェットのタイトル② ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_dashboard_widget_title_02(){
//項目の追加
	add_settings_field(
		'dashboard-widget-title-02', // 設定名
		'Widget area 2 title', // 設定タイトル
		'haumenu_dashboard_widget_title_02', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_04_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_dashboard_widget_title_02' );

function haumenu_dashboard_widget_title_02() {
	$set_name = haumenu_define_option_name_04_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'dashboard-widget-title-02'; //個別配列名
?>
<label>
	<input name="<?php echo esc_html($set_name . '['.$option_name.']'); ?>" type="text" id="<?php echo esc_html($set_name . $option_name ); ?>" value="<?php echo esc_attr($options[ $option_name ] ?? ''); ?>">
	<p><?php esc_html_e('Enter a title for Widget Area 2 (If not entered, it will be displayed as "HAUP Dashboard Widget 2")','hima-art-utility'); ?></p>
</label>
<?php
}

/*** ブロックウィジェットを停止する ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_disable_block_wedget(){
//項目の追加
	add_settings_field(
		'disable-block-wedget', // 設定名
		__('Disable Block Widget','hima-art-utility'), // 設定タイトル
		'haumenu_disable_block_wedget', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_04_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_disable_block_wedget' );

/* 入力フォーム */
function haumenu_disable_block_wedget() {
	$set_name = haumenu_define_option_name_04_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'disable-block-wedget'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Enable to stop block widget setting screen','hima-art-utility'); ?></p>
</label>
<p class="haup-admin-bk haup-admin-font-red"><?php esc_html_e('Note that enabling it will also disable the block widget setting in the classic theme','hima-art-utility'); ?></p>
<?php
}

/*** 最終更新投稿リスト ***/
/* 項目の追加とデータの更新 */
function haumenu_init_field_add_mod_post_widget(){
//項目の追加
	add_settings_field(
		'add-mod-post-widget', // 設定名
		__('Latest Updated Post List','hima-art-utility'), // 設定タイトル
		'haumenu_add_mod_post_widget', // 設定項目のHTMLを出力する関数名
		haumenu_define_tab_slug_04_utility(), //表示させるタブのスラグ
		haumenu_define_section_id_04_utility(),// $section 表示させるセクションのID
		array( 'class' => 'ha-settings-separate' )
	);

}
add_action( 'admin_init', 'haumenu_init_field_add_mod_post_widget' );

/* 入力フォーム */
function haumenu_add_mod_post_widget() {
	$set_name = haumenu_define_option_name_04_utility(); //  $option_name 設定名
	$options = get_option($set_name);
	$option_name = 'add-mod-post-widget'; //個別配列名

	//テーブルに値がなかった場合の措置（PHP8.x以降への対応）
	if(isset($options[$option_name])){
		$checked = $options[$option_name];
	}else{
		$checked = '';
	}
?>
<label>
	<input type="checkbox" id="<?php echo esc_html($set_name . $option_name ); ?>" name="<?php echo esc_html($set_name . '[' .$option_name. ']'); ?>" class="wppd-ui-toggle" <?php checked( $checked , 1 ); ?> value="1">
	<p><?php esc_html_e('Display a list of posts on your dashboard, ordered by last updated date','hima-art-utility'); ?></p>
</label>
<?php echo wp_kses_post(haup_usage_info_mod_post_widget()); ?>
<?php
}